import type { CancelablePromise } from "../core/CancelablePromise.js";
import type { BaseHttpRequest } from "../core/BaseHttpRequest.js";
export declare class SystemService {
    readonly httpRequest: BaseHttpRequest;
    constructor(httpRequest: BaseHttpRequest);
    /**
     * /
     * Instructions to manage your Engine
     * @returns any Default Response
     * @throws ApiError
     */
    home(): CancelablePromise<{
        message: string;
    }>;
    /**
     * Check health
     * Check the system health of Engine
     * @returns any Default Response
     * @throws ApiError
     */
    checkHealth(): CancelablePromise<{
        status: string;
        engineVersion?: string;
    }>;
}
